
package jp.gr.java_conf.koto.notavacc.util;

import java.util.*;

public class MultiMap extends LinkedHashMap {
    public boolean add(Object key, Object value) {
        Set set = (Set) this.get(key);
        if (set == null) {
            set = new LinkedHashSet();
            this.put(key, set);
        }
        return set.add(value);
    }
    public boolean addAll(Object key, Collection values) {
        Set set = (Set) this.get(key);
        if (set == null) {
            set = new LinkedHashSet();
            this.put(key, set);
        }
        return set.addAll(values);
    }
    
    public Set getValueSet(Object key) {
        return (Set) get(key);
    }
}


